cdac.medinfo.sdk.hl7282.baselibs.segments

## Class NDS

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.NDS

- All Implemented Interfaces:
    ISegment

      public class NDS
      extends Segment

  NDS - Notification Detail Segment

  The equipment notification detail segment is the data necessary to maintain an adequate audit trail as well as notifications of events.

  Represents an HL7 NDS message segment. This segment has the following fields:

  NDS-1: Notification Reference Number (NM)Required
  NDS-2: Notification Date/Time (DTM)Required
  NDS-3: Notification Alert Severity (CWE)Required
  NDS-4: Notification Code (CWE)Required

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NDS()` Constructs the NDS segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CWE` | `getNotificationAlertSeverity()` Retrieves the Notification Alert Severity.
    `CWE` | `getNotificationCode()` Retrieves the Notification Code.
    `DTM` | `getNotificationDateTime()` Retrieves the Notification Date Time.
    `NM` | `getNotificationReferenceNumber()` Retrieves the Notification Reference Number.
    `void` | `setNotificationAlertSeverity(CWE objnotificationAlertSeverity)` Set the Notification Alert Severity.
    `void` | `setNotificationAlertSeverity(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Notification Alert Severity.
    `void` | `setNotificationCode(CWE objnotificationCode)` Set the Notification Code.
    `void` | `setNotificationCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Notification Code.
    `void` | `setNotificationDateTime(DTM objnotificationDateTime)` Set the Notification Date Time.
    `void` | `setNotificationDateTime(java.lang.String strTime)` Set the Notification Date Time.
    `void` | `setNotificationReferenceNumber(NM objnotificationReferenceNumber)` Set the Notification Reference Number.
    `void` | `setNotificationReferenceNumber(java.lang.String strSequenceNumberTestObservationMasterFile)` Set the Notification Reference Number.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NDS

          public NDS()

      Constructs the NDS segment.

  - ### Method Detail

    - #### getNotificationAlertSeverity

          public CWE getNotificationAlertSeverity()

      Retrieves the Notification Alert Severity. This field specify the severity of the specific notification.
      Returns:
        CWE - notificationAlertSeverity

    - #### getNotificationCode

          public CWE getNotificationCode()

      Retrieves the Notification Code. This field contains information about the type of notification being sent.
      Returns:
        CWE - notificationCode

    - #### getNotificationDateTime

          public DTM getNotificationDateTime()

      Retrieves the Notification Date Time. This field is the date/time of the notifications.
      Returns:
        DTM - notificationDateTime

    - #### getNotificationReferenceNumber

          public NM getNotificationReferenceNumber()

      Retrieves the Notification Reference Number. This field contains a unique sequential reference number that may be used by various components to refer to this transaction.
      Returns:
        String - notificationReferenceNumber

    - #### setNotificationAlertSeverity

          public void setNotificationAlertSeverity(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionId,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameofSecondAlternateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Notification Alert Severity. This field specify the severity of the specific notification.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setNotificationAlertSeverity

          public void setNotificationAlertSeverity(CWE objnotificationAlertSeverity)

      Set the Notification Alert Severity. This field specify the severity of the specific notification.
      Parameters:
        `objnotificationAlertSeverity` - Object of Notification Alert Severity.

    - #### setNotificationCode

          public void setNotificationCode(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Notification Code. This field contains information about the type of notification being sent.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setNotificationCode

          public void setNotificationCode(CWE objnotificationCode)

      Set the Notification Code. This field contains information about the type of notification being sent.
      Parameters:
        `objnotificationCode` - Object of Notification Code.

    - #### setNotificationDateTime

          public void setNotificationDateTime(java.lang.String strTime)

      Set the Notification Date Time. This field is the date/time of the notifications.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setNotificationDateTime

          public void setNotificationDateTime(DTM objnotificationDateTime)

      Set the Notification Date Time. This field is the date/time of the notifications.
      Parameters:
        `objnotificationDateTime` - Object of Notification Date Time.

    - #### setNotificationReferenceNumber

          public void setNotificationReferenceNumber(java.lang.String strSequenceNumberTestObservationMasterFile)

      Set the Notification Reference Number. This field contains a unique sequential reference number that may be used by various components to refer to this transaction.
      Parameters:
        `strSequenceNumberTestObservationMasterFile` - String to be passed as Sequence Number - Test/Observation Master File

    - #### setNotificationReferenceNumber

          public void setNotificationReferenceNumber(NM objnotificationReferenceNumber)

      Set the Notification Reference Number. This field contains a unique sequential reference number that may be used by various components to refer to this transaction.
      Parameters:
        `objnotificationReferenceNumber` - Object of Notification Reference Number.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails